Name: suck
Summary: Download news from remote NNTP server
Version: 4.3.2
Release: 46%{?dist}
Source: http://www.sucknews.org/%{name}-%{version}.tar.gz
Source1: active-ignore
Source2: suck-4.3.2.site
Source3: README.Fedora
URL: http://www.sucknews.org
Patch: suck-4.3.2-rh.patch
Patch1: suck-4.3.2-perl.patch
Patch2: suck-4.3.2-samples.patch
Patch3: suck-4.3.2-parallel-build.patch
Patch4: suck-4.3.2-ipv6.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

License: Public Domain
Group: System Environment/Daemons
BuildRequires: inn-devel >= 2.5.2, perl-devel >= 3:5.8 perl(ExtUtils::Embed)
BuildRequires: openssl-devel, autoconf
Requires: inn >= 2.5.2
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Conflicts: leafnode

%description
This package contains software for copying news from an NNTP server to your
local machine, and copying replies back up to an NNTP server.  It works
with most standard NNTP servers, including INN, CNEWS, DNEWS, and typhoon.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .samp
%patch3 -p1
%patch4 -p1

cp %{SOURCE3} .

autoconf
%configure --with-inn-lib=%{_libdir} \
           --with-inn-include=%{_includedir}/inn

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT} \
     bindir=${RPM_BUILD_ROOT}%{_libexecdir}/news \
     mandir=${RPM_BUILD_ROOT}%{_mandir}/man1

mkdir -p ${RPM_BUILD_ROOT}/var/lib/news/suck
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/suck
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/news/suck.d

cp sample/get.news.inn ${RPM_BUILD_ROOT}%{_libexecdir}/news/getnews
cp sample/put.news.sm ${RPM_BUILD_ROOT}/var/lib/news/suck/
cp sample/put.news.sm.pl ${RPM_BUILD_ROOT}/var/lib/news/suck/
cp %{SOURCE1} ${RPM_BUILD_ROOT}/var/lib/news/suck
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/news/suck.d/default

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)
%doc README CHANGELOG sample README.Fedora

%defattr(-,root,root,-)
%attr(0774,news,root) %{_libexecdir}/news/suck
%attr(0774,news,root) %{_libexecdir}/news/rpost
%attr(0755,root,root) %{_libexecdir}/news/testhost
%attr(0774,news,root) %{_libexecdir}/news/lmove
%attr(0774,news,root) %{_libexecdir}/news/getnews
%attr(0775,news,news) %dir /var/lib/news/suck/
/var/lib/news/suck/put.news.sm
/var/lib/news/suck/put.news.sm.pl
/var/lib/news/suck/active-ignore
%{_mandir}/man1/suck.1*
%{_mandir}/man1/rpost.1*
%{_mandir}/man1/testhost.1*
%{_mandir}/man1/lmove.1*

%attr(0750,news,news) %config(noreplace) %{_sysconfdir}/news/suck.d/

%changelog
* Tue Apr 21 2015 Jochen Schmitt <Jochen herr-schmitt de> - 4.3.2-46
- Rebuilt for new INN release

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 4.3.2-45
- Perl 5.20 rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-43
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Aug 01 2013 Petr Pisar <ppisar@redhat.com> - 4.3.2-41
- Perl 5.18 rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 4.3.2-40
- Perl 5.18 rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 4.3.2-37
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 15 2011 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-35
- Add capability to use a TLS connection
- Move /etc/sysconfig/suck/site to /etc/news/suck.d/default
- Fix missing ssl support in rpost

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> 4.3.2-34
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 4.3.2-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-32
- Fix brocken permissions (#653015)

* Wed Jun 30 2010 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-31
- move getnews into %%{_libexecdir}/news

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> 4.3.2-30
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 4.3.2-29
- rebuild against perl 5.10.1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> 4.3.2-28
- rebuilt with new openssl

* Wed Aug 12 2009 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-27
- Rebuild for new openssl release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-24
- Rebuild for new openssl package

* Thu Jul 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-23
- Build agains dynamic inn libraries

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.3.2-22
- add Requires for versioned perl (libperl.so)

* Tue Mar 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-21
- Rebuild for perl 5.10 (#436955)

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-20
- Rebuild for gcc-4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 4.3.2-19
- Rebuild for deps

* Mon Sep 10 2007 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-18
- Allow usage of several sites

* Wed Aug 15 2007 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-17
- Rework for 64-bit systems (use /usr/lib instead of /usr/lib64)

* Wed Aug 15 2007 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-16
- Adding IPv6 support
- Fix typo in README.Fedora

* Sun Aug 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-15
- Rebuild for build id feature

* Sun Mar 25 2007 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-14
- Add parallel build putch

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-13
- Rebuild for FC-6

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 4.3.2-12
- Rebuilt for FC5.

* Thu Nov 24 2005 Jochen Schmit <Jochen herr-schmitt.de> 4.3.2-11
- Add %%{?dist} to release.

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 4.3.2-10
- Add missing %%dir entries.

* Wed Apr 21 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Corrected condition in getnews script

* Mon Mar 29 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Corrected Conflicts entry

* Thu Mar 25 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Fixed problem with newsserver which need authorizations

* Tue Mar 23 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Use perl filter as default
- Added '#include <XSUB.h>' to perl depended source files
- Documentation of Fedora specific behaviour of this package
- Fix some bugs in getnews/put.news.sm
- Use ExtUtils:Embed in configure.in

* Sun Mar 21 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Changes on the mkstmp patch
- Remove 'strip -s' from the Makefile

* Thu Mar 18 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Replace tmpnam to mkstemp
- Linkoptions will be generated by 'perl -MExtUtils::Embend'

* Tue Mar 16 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Integating of proposed changes at bugzilla item #1374

* Mon Mar 15 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Copy put.news.sm.pl to /var/lib/news/suck
- Rename of the configuration variables

* Thu Mar 11 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Some changes becouse messages of rpmlint

* Thu Mar 09 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Adapt getnews-script for using with INN 2.4.1
- Configuration file in /etc/sysconfig/suck

* Thu Mar 08 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- patch default history to /var/lib/news
